Name:           module-build-service
Version:        3.4.1
Release:        2%{?dist}
Summary:        The Module Build Service for Modularity

Group:          Development/Tools
License:        MIT
URL:            https://pagure.io/fm-orchestrator
Source0:        https://files.pythonhosted.org/packages/source/m/%{name}/%{name}-%{version}.tar.gz
Patch0:         mbs-cli-rh-default.patch
Patch1:         mbs-cli-verify-ssl.patch
Patch2:         mbs-revert-pr1554.patch
# Backported to test KojiResolver on Brew staging.
Patch3:         mbs-product-pages.patch

BuildArch:      noarch
ExclusiveArch:  %{ix86} x86_64 noarch

BuildRequires:  help2man
BuildRequires:  python2-devel
BuildRequires:  python-enum34
BuildRequires:  python2-requests
BuildRequires:  python2-setuptools
BuildRequires:  python2-six

Requires:       git-core
Requires:       gobject-introspection
Requires:       kobo
Requires:       kobo-rpmlib
Requires:       python2-libmodulemd2
Requires:       m2crypto
Requires:       pungi
Requires:       pyOpenSSL
Requires:       python2-celery
Requires:       python2-dnf
Requires:       python2-fedmsg
Requires:       python2-flask-sqlalchemy >= 2.3.2
Requires:       python2-funcsigs
Requires:       python2-koji
Requires:       python2-prometheus_client
Requires:       python2-solv
Requires:       python-backports-ssl_match_hostname
Requires:       python-distro
Requires:       python-dogpile-cache
Requires:       python-enum34
Requires:       python-flask
Requires:       python-flask-migrate
Requires:       python-flask-script
Requires:       python-futures
Requires:       python-gobject-base
Requires:       python-kerberos
Requires:       python-ldap3
Requires:       python-m2ext
Requires:       python-munch
Requires:       python-requests
Requires:       python-requests-kerberos >= 0.10.0
Requires:       python-six
Requires:       python-sqlalchemy
Requires:       rpm-build

%description
The Module Build Service (MBS) coordinates module builds and is responsible
for a number of tasks:

- Providing an interface for module client-side tooling via which module build
  submission and build state queries are possible.
- Verifying the input data (modulemd, RPM SPEC files and others) is available
  and correct.
- Preparing the build environment in the supported build systems, such as koji.
- Scheduling and building of the module components and tracking the build
  state.
- Emitting bus messages about all state changes so that other infrastructure
  services can pick up the work.

%package -n module-build-service-cli
Summary:        MBS administrative command-line client
Requires:       python-enum34
Requires:       python-requests
Requires:       python-requests-kerberos
Requires:       python-six

%description -n module-build-service-cli
The Module Build Service (MBS) administrative command-line client

%prep
%setup -q
%patch0 -p1
%patch1 -p1
# %%patch2 -p1
%patch3 -p1
# Workaround because python2-koji has no egg-info file at the momement
sed -i '/koji/d' requirements.txt

%build
%py2_build

%install
%py2_install

export PYTHONPATH=%{buildroot}%{python2_sitelib}
mkdir -p %{buildroot}/%{_mandir}/man1
help2man -N --version-string=%{version} \
    %{buildroot}/%{_bindir}/mbs-cli > \
    %{buildroot}/%{_mandir}/man1/mbs-cli.1

%files
%doc README.rst
%license LICENSE
%{python2_sitelib}/module_build_service*
%{_bindir}/mbs-*
%dir %{_sysconfdir}/module-build-service
%config(noreplace) %{_sysconfdir}/module-build-service/koji.conf
%config(noreplace) %{_sysconfdir}/module-build-service/cacert.pem
%config(noreplace) %{_sysconfdir}/module-build-service/mock.cfg
%config(noreplace) %{_sysconfdir}/module-build-service/yum.conf
%config(noreplace) %{_sysconfdir}/fedmsg.d/mbs-scheduler.py
%config(noreplace) %{_sysconfdir}/fedmsg.d/mbs-logging.py
%config(noreplace) %{_sysconfdir}/fedmsg.d/module_build_service.py
%exclude %{_sysconfdir}/fedmsg.d/*.py[co]
%exclude %{python2_sitelib}/conf/
%exclude %{python2_sitelib}/tests/

%files -n module-build-service-cli
%{_bindir}/mbs-cli
%{_mandir}/man1/mbs-cli.1*

%changelog
* Thu Dec 03 2020 Brendan Reilly <breilly@redhat.com> - 3.4.1-2
- backported product pages fix

* Mon Nov 30 2020 Brendan Reilly <breilly@redhat.com> - 3.4.1-1
- new version

* Tue Sep 08 2020 Brendan Reilly <breilly@redhat.com> - 3.4.0-1
- new version

* Tue Jul 28 2020 Brendan Reilly <breilly@redhat.com> - 3.3.0-1
- new version

* Wed Jun 24 2020 Brendan Reilly <breilly@redhat.com> - 3.2.1-1
- new version

* Tue Jun 23 2020 Brendan Reilly <breilly@redhat.com> - 3.2.0-1
- new version

* Mon Apr 27 2020 Brendan Reilly <breilly@redhat.com> - 3.1.0-1
- new version

* Mon Mar 09 2020 Matt Prahl <mprahl@redhat.com> - 3.0.0-4
- Remove the maximum version for python2-billiard and rely on version locks instead

* Mon Mar 09 2020 Matt Prahl <mprahl@redhat.com> - 3.0.0-3
- Set the maximum version for python2-billiard due to a newer version being available in eng-rhel-7

* Fri Mar 06 2020 Matt Prahl <mprahl@redhat.com> - 3.0.0-2
- Set the minimum version for python2-flask-sqlalchemy

* Tue Mar 03 2020 Matt Prahl <mprahl@redhat.com> - 3.0.0-1
- new version

* Thu Jan 30 2020 Mike McLean <mikem@redhat.com> - 2.32.0-2
- revert PR 1554

* Thu Jan 30 2020 Mike McLean <mikem@redhat.com> - 2.32.0-1
- new version

* Fri Dec 20 2019 mprahl <mprahl@redhat.com> - 2.31.0-2
- Add version requirements to python-requests-kerberos

* Thu Dec 19 2019 Mike McLean <mikem@redhat.com> - 2.31.0-1
- new version

* Tue Nov 19 2019 Mike McLean <mikem@redhat.com> - 2.30.4-1
- new version

* Tue Oct 29 2019 Chenxiong Qi <cqi@redhat.com> - 2.29.1-5
- Backport: Do not drop realm from user's kerberos principal name

* Mon Oct 21 2019 Chenxiong Qi <cqi@redhat.com> - 2.29.1-4
- Add missing patch for last backport

* Thu Oct 17 2019 Chenxiong Qi <cqi@redhat.com> - 2.29.1-3
- Backport PR-1460 to test Kerberos auth with httpd

* Mon Oct 07 2019 Jan Kaluza <jkaluza@redhat.com> - 2.29.1-2
- Backport PR-1454 to test KojiResolver on Brew staging.

* Thu Oct 03 2019 Mike McLean <mikem@redhat.com> - 2.29.1-1
- new version

* Thu Oct 03 2019 Mike McLean <mikem@redhat.com> - 2.29.0-1
- new version

* Thu Sep 19 2019 mprahl <mprahl@redhat.com> - 2.28.2-1
- new version

* Wed Sep 18 2019 mprahl <mprahl@redhat.com> - 2.28.1-1
- new version

* Tue Sep 17 2019 mprahl <mprahl@redhat.com> - 2.28.0-1
- new version

* Thu Sep 12 2019 mprahl <mprahl@redhat.com> - 2.27.0-2
- Use python2-libmodulemd2 from EPEL

* Fri Aug 30 2019 Jan Kaluza <jkaluza@redhat.com> - 2.27.0-1
- new version

* Mon Aug 12 2019 Jan Kaluza <jkaluza@redhat.com> - 2.26.0-1
- new version

* Wed Jul 17 2019 mprahl <mprahl@redhat.com> - 2.25.0-1
- new version

* Tue Jul 02 2019 Valerij Maljulin <vmaljuli@redhat.com> - 2.24.0-1
- new version

* Thu Jun 20 2019 Jan Kaluza <jkaluza@redhat.com> - 2.23.0-1
- new version

* Wed Jun 19 2019 Jan Kaluza <jkaluza@redhat.com> - 2.22.0-2
- Backport the PR 1293 to fix builds against tags with no arch.

* Tue Jun 18 2019 Valerij Maljulin <vmaljuli@redhat.com> - 2.22.0-1
- new version

* Wed Jun 12 2019 Jan Kaluza <jkaluza@redhat.com> - 2.21.0-4
- Backport the PR 1286 to fix RPM whitelist with buildopts.

* Thu May 30 2019 Jan Kaluza <jkaluza@redhat.com> - 2.21.0-3
- backport fix to missing session.commit in greenwave handler.

* Fri May 24 2019 Jan Kaluza <jkaluza@redhat.com> - 2.21.0-2
- require python2-libmodulemd

* Fri May 24 2019 Jan Kaluza <jkaluza@redhat.com> - 2.21.0-1
- new version

* Thu May 16 2019 mprahl <mprahl@redhat.com> - 2.20.0-2
- Fix the virtual streams SQL queries incompatible with Postgres

* Fri May 10 2019 mprahl <mprahl@redhat.com> - 2.20.0-1
- new version

* Thu Apr 25 2019 mprahl <mprahl@redhat.com> - 2.19.0-2
- Add the subpackage module-build-service-cli
- Remove the requirement of python2-pdc-client

* Thu Apr 04 2019 mprahl <mprahl@redhat.com> - 2.19.0-1
- new version

* Mon Mar 25 2019 mprahl <mprahl@redhat.com> - 2.18.2-1
- new version

* Wed Mar 20 2019 mprahl <mprahl@redhat.com> - 2.18.1-1
- new version

* Wed Mar 20 2019 Jan Kaluza <jkaluza@redhat.com> - 2.18.0-1
- new version

* Tue Mar 12 2019 Jan Kaluza <jkaluza@redhat.com> - 2.17.0-1
- new version

* Mon Mar 04 2019 Jan Kaluza <jkaluza@redhat.com> - 2.16.0-1
- new version

* Mon Mar 04 2019 Jan Kaluza <jkaluza@redhat.com> - 2.15.0-2
- fix uninitialized time_completed in CG.finalize.

* Fri Mar 01 2019 Jan Kaluza <jkaluza@redhat.com> - 2.15.0-1
- new version

* Thu Feb 14 2019 mprahl <mprahl@redhat.com> - 2.14.0-2
- Add python-prometheus_client as a dependency

* Thu Feb 14 2019 mprahl <mprahl@redhat.com> - 2.14.0-1
- new version

* Thu Jan 24 2019 mprahl <mprahl@redhat.com> - 2.13.0-1
- new version

* Tue Jan 15 2019 mprahl <mprahl@redhat.com> - 2.12.0-1
- new version

* Wed Dec 19 2018 mprahl <mprahl@redhat.com> - 2.11.1-1
- new version

* Tue Dec 18 2018 mprahl <mprahl@redhat.com> - 2.11.0-1
- new version

* Thu Dec 13 2018 mprahl <mprahl@redhat.com> - 2.10.0-1
- new version

* Wed Dec 12 2018 mprahl <mprahl@redhat.com> - 2.9.2-1
- new version

* Wed Dec 05 2018 mprahl <mprahl@redhat.com> - 2.9.1-1
- new version

* Tue Dec 04 2018 mprahl <mprahl@redhat.com> - 2.9.0-1
- new version

* Tue Oct 30 2018 mprahl <mprahl@redhat.com> - 2.8.1-1
- new version

* Tue Oct 30 2018 mprahl <mprahl@redhat.com> - 2.8.0-1
- New version
- Remove existing patch

* Mon Oct 22 2018 mprahl <mprahl@redhat.com> - 2.7.0-2
- Fix wrong inclusion of non-multilib packages in final MMD

* Fri Oct 12 2018 mprahl <mprahl@redhat.com> - 2.7.0-1
- new version

* Mon Sep 24 2018 Jan Kaluza <jkaluza@redhat.com> - 2.6.2-1
- new version

* Wed Sep 12 2018 Jan Kaluza <jkaluza@redhat.com> - 2.6.1-2
- require pungi

* Wed Sep 12 2018 Jan Kaluza <jkaluza@redhat.com> - 2.6.1-1
- new version

* Mon Sep 10 2018 Ralph Bean <rbean@redhat.com> - 2.6.0-2
- Apply https://pagure.io/fm-orchestrator/pull-request/1013.patch

* Mon Sep 10 2018 Ralph Bean <rbean@redhat.com> - 2.6.0-1
- new version

* Wed Aug 22 2018 Jan Kaluza <jkaluza@redhat.com> - 2.5.1-2
- Cast `version` to str in `get_build_from_nsvc`.

* Wed Aug 22 2018 Jan Kaluza <jkaluza@redhat.com> - 2.5.1-1
- new version

* Tue Aug 14 2018 mprahl <mprahl@redhat.com> - 2.5.0-1
- new version

* Tue Aug 07 2018 mprahl <mprahl@redhat.com> - 2.4.2-1
- new version

* Tue Jul 31 2018 mprahl <mprahl@redhat.com> - 2.4.0-1
- new version

* Thu Jun 28 2018 mprahl <mprahl@redhat.com> - 2.3.2-1
- new version

* Tue Jun 19 2018 mprahl <mprahl@redhat.com> - 2.3.0-1
- new version

* Mon Jun 04 2018 mprahl <mprahl@redhat.com> - 2.2.4-1
- new version

* Tue May 29 2018 mprahl <mprahl@redhat.com> - 2.2.1-1
- new version

* Mon May 14 2018 mprahl <mprahl@redhat.com> - 2.2.0-2
- fix exception from Koji not supplying an egg file
- further specfile clean up

* Mon May 14 2018 mprahl <mprahl@redhat.com> - 2.2.0-1
- new version
- clean up dependencies

* Mon Apr 30 2018 Jan Kaluza <jkaluza@redhat.com> - 2.0.2-2
- add missing dependencies

* Wed Apr 25 2018 Jan Kaluza <jkaluza@redhat.com> - 2.0.2-1
- new version

* Tue Nov 28 2017 mprahl <mprahl@redhat.com> - 1.5.2-1
- new version

* Mon Nov 27 2017 mprahl <mprahl@redhat.com> - 1.5.1-1
- new version

* Fri Nov 17 2017 mprahl <mprahl@redhat.com> - 1.5.0-1
- new version

* Tue Nov 14 2017 mprahl <mprahl@redhat.com> - 1.4.7-1
- new version

* Tue Nov 14 2017 mprahl <mprahl@redhat.com> - 1.4.6-1
- new version

* Tue Nov 07 2017 mprahl <mprahl@redhat.com> - 1.4.5-2
- Support building without EPEL

* Mon Nov 06 2017 mprahl <mprahl@redhat.com> - 1.4.5-1
- new version

* Mon Nov 06 2017 mprahl <mprahl@redhat.com> - 1.4.4-1
- new version

* Thu Nov 2 2017 Matt Prahl <mprahl@redhat.com> - 1.4.3.1
- New version

* Thu Nov 2 2017 Matt Prahl <mprahl@redhat.com> - 1.4.2.1
- New version

* Thu Nov 2 2017 Matt Prahl <mprahl@redhat.com> - 1.4.1.1
- New version

* Thu Nov 2 2017 Matt Prahl <mprahl@redhat.com> - 1.4.0-2
- Remove the caching patch that was merged upstream
- Add a patch that fixes a typo in error messages

* Wed Nov 1 2017 Matt Prahl <mprahl@redhat.com> - 1.4.0-1
- New version

* Wed Oct 11 2017 Jan Kaluza <jkaluza@redhat.com> - 1.3.31-3
- Fix wrong attr for untagged builds.

* Wed Oct 11 2017 Jan Kaluza <jkaluza@redhat.com> - 1.3.31-2
- Fix bad performance while getting data from PDC for modules with many deps.

* Mon Oct 2 2017 Matt Prahl <mprahl@redhat.com> - 1.3.31-1
- New version

* Thu Sep 21 2017 Ralph Bean <rbean@redhat.com> - 1.3.30-2
- Re-enable ldap3 requirement now that it is available in epel7.
- Add new requirement on python-requests-kerberos.

* Thu Sep 21 2017 Ralph Bean <rbean@redhat.com> - 1.3.30-1
- new version

* Mon Sep 18 2017 Ralph Bean <rbean@redhat.com> - 1.3.29-1
- new version

* Fri Sep 15 2017 Ralph Bean <rbean@redhat.com> - 1.3.28-1
- new version

* Tue Sep 12 2017 Ralph Bean <rbean@redhat.com> - 1.3.27-3
- Remove the nobuild patch for EL7.

* Tue Sep 12 2017 Ralph Bean <rbean@redhat.com> - 1.3.27-2
- Merge epel7 spec branch into rawhide to consolidate streams.

* Tue Sep 12 2017 Ralph Bean <rbean@redhat.com> - 1.3.27-1
- new version

* Tue Sep 05 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.3.26-5
- Really apply patches

* Sun Sep 03 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.3.26-4
- Backport patches to fix skiptests behavior
- Cleanups / Fixes in spec

* Fri Aug 18 2017 Jan Kaluza <jkaluza@redhat.com> - 1.3.26-3
- add missing dependency on python2-dogpile-cache

* Thu Aug 17 2017 Jan Kaluza <jkaluza@redhat.com> - 1.3.26-2
- fix mbs-build issue with trailing slash in REST API url

* Thu Aug 17 2017 Jan Kaluza <jkaluza@redhat.com> - 1.3.26-1
- new version

* Mon Aug 07 2017 Jan Kaluza <jkaluza@redhat.com> - 1.3.25-8
- do not wait for kojira when generating module-build-macros repository

* Mon Aug 07 2017 Jan Kaluza <jkaluza@redhat.com> - 1.3.25-7
- upload modulemd.yaml to Koji as modulemd.txt

* Fri Aug 04 2017 Jan Kaluza <jkaluza@redhat.com> - 1.3.25-6
- fix tagging components when all of them are reused

* Fri Aug 04 2017 Ralph Bean <rbean@redhat.com> - 1.3.25-5
- upload content generator logs to Koji
- Require mock-scm for local builds.

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.25-4
- fix bug during build caused by not set SERVER_NAME in configuration file
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon Jul 17 2017 Jan Kaluza <jkaluza@redhat.com> - 1.3.25-3
- fix typo in spec file

* Mon Jul 17 2017 Jan Kaluza <jkaluza@redhat.com> - 1.3.25-2
- fix dependency on koji

* Mon Jul 17 2017 Jan Kaluza <jkaluza@redhat.com> - 1.3.25-1
- new version

* Tue Jul 11 2017 Ralph Bean <rbean@redhat.com> - 1.3.24-3
- Fix the runtime dep for pdc-client.

* Tue Jun 27 2017 Jan Kaluza <jkaluza@redhat.com> - 1.3.24-2
- Fix the pdc-client dependency

* Tue Jun 27 2017 Jan Kaluza <jkaluza@redhat.com> - 1.3.24-1
- new version

* Mon Jun 05 2017 Jan Kaluza <jkaluza@redhat.com> - 1.3.23-5
- Fix the components reuse if database returns them in different order

* Mon Jun 05 2017 Jan Kaluza <jkaluza@redhat.com> - 1.3.23-4
- Tag the untagged artifacts when returning their build_id

* Mon Jun 05 2017 Jan Kaluza <jkaluza@redhat.com> - 1.3.23-3
- correct the patch from previous commit

* Mon Jun 05 2017 Jan Kaluza <jkaluza@redhat.com> - 1.3.23-2
- fix bug when untagged builds couldn't be find in Koji

* Wed May 31 2017 Jan Kaluza <jkaluza@redhat.com> - 1.3.23-1
- new version

* Thu May 25 2017 Jan Kaluza <jkaluza@redhat.com> - 1.3.22-3
- Use the same spec file for both epel7 and fedora

* Tue May 16 2017 Jan Kaluza <jkaluza@redhat.com> - 1.3.22-2
- fix reusing all components

* Fri May 12 2017 Jan Kaluza <jkaluza@redhat.com> - 1.3.22-1
- new version

* Fri Apr 07 2017 Jan Kaluza <jkaluza@redhat.com> - 1.3.20-1
- new version

* Fri Apr 07 2017 Jan Kaluza <jkaluza@redhat.com> - 1.3.18-1
- new version

* Thu Apr 06 2017 Jan Kaluza <jkaluza@redhat.com> - 1.3.17-1
- new version

* Sat Mar 25 2017 Petr Šabata <contyk@redhat.com> - 1.3.16-2
- Adding a missing runtime dependency, fedpkg

* Thu Mar 23 2017 Jan Kaluza <jkaluza@redhat.com> - 1.3.16-1
- new version

* Thu Mar 23 2017 Jan Kaluza <jkaluza@redhat.com> - 1.3.15-1
- new version

* Wed Mar 22 2017 Ralph Bean <rbean@redhat.com> - 1.3.14-1
- new version

* Wed Mar 22 2017 Jan Kaluza <jkaluza@redhat.com> - 1.3.13-1
- 1.3.13

* Wed Mar 22 2017 Jan Kaluza <jkaluza@redhat.com> - 1.3.12-1
- 1.3.12

* Fri Mar 17 2017 Jan Kaluza <jkaluza@redhat.com> - 1.3.11-1
- 1.3.11 bump

* Fri Mar 17 2017 Petr Šabata <contyk@redhat.com> - 1.3.10-1
- 1.3.10 bump

* Thu Mar 16 2017 Ralph Bean <rbean@redhat.com> - 1.3.9-1
- new version

* Wed Mar 15 2017 Ralph Bean <rbean@redhat.com> - 1.3.8-1
- new version

* Tue Mar 14 2017 Ralph Bean <rbean@redhat.com> - 1.3.6-1
- new version

* Tue Mar 14 2017 Ralph Bean <rbean@redhat.com> - 1.3.5-1
- new version

* Mon Mar 13 2017 Ralph Bean <rbean@redhat.com> - 1.3.4-1
- new version

* Fri Mar 03 2017 Ralph Bean <rbean@redhat.com> - 1.3.3-1
- new version

* Fri Mar 03 2017 Petr Šabata <contyk@redhat.com> - 1.3.2-3
- MBS requires modulemd-1.1.0+ to work properly

* Thu Mar 02 2017 Ralph Bean <rbean@redhat.com> - 1.3.2-2
- Conditionalize arch for epel7 building.

* Thu Mar 02 2017 Ralph Bean <rbean@redhat.com> - 1.3.2-1
- new version

* Tue Feb 28 2017 Ralph Bean <rbean@redhat.com> - 1.3.1-2
- Disable the test suite in koji for now.

* Tue Feb 28 2017 Ralph Bean <rbean@redhat.com> - 1.3.1-1
- new version

* Wed Feb 15 2017 Ralph Bean <rbean@redhat.com> - 1.2.0-1
- new version

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb  1 2017 Filip Valder <fvalder@redhat.com> - 1.1.1-2
- New revision (deps & cleanups)

* Tue Jan 31 2017 Ralph Bean <rbean@redhat.com> - 1.1.1-1
- new version

* Tue Jan 24 2017 Ralph Bean <rbean@redhat.com> - 1.1.0-3
- Include fedmsg.d/mbs-scheduler.py by default.

* Wed Jan 18 2017 Ralph Bean <rbean@redhat.com> - 1.1.0-2
- Dep fixes (for EPEL7).

* Tue Jan 17 2017 Ralph Bean <rbean@redhat.com> - 1.1.0-1
- new version

* Wed Jan 11 2017 Ralph Bean <rbean@redhat.com> - 1.0.2-4
- Conditionalize some deps for EPEL7.

* Wed Jan 11 2017 Ralph Bean <rbean@redhat.com> - 1.0.2-3
- Sync spec file from upstream git.

* Thu Dec 15 2016 Matt Prahl <mprahl@redhat.com> - 1.0.2-2
- Replace systemd unit with fedmsg-hub
- Remove an old .pyc file that got included by accident.

* Wed Dec 14 2016 Ralph Bean <rbean@redhat.com> - 1.0.2-1
- Enable test suite in the check section.
- Add systemd scriptlets, per review feedback.

* Mon Dec 12 2016 Ralph Bean <rbean@redhat.com> - 1.0.1-1
- Cleanup in preparation for package review.

* Tue Dec 6 2016 Matt Prahl <mprahl@redhat.com> - 1.0.0-2
- Adds systemd unit.

* Fri Nov 25 2016 Filip Valder <fvalder@redhat.com> - 1.0.0-1
- Let's get this party started.
